package com.lib_utils;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.util.Log;
import android.widget.Toast;

/**
 * app工具类
 * @author Alfred_Huang
 * 
 */
public class ApplicationUtils {

	/**
	 * 获取应用的版本号
	 * 
	 * @param context
	 * @return String versionName
	 */
	public static String getVersionName(Context context) {
		String versionName = null;
		try {
			String packageName = context.getApplicationContext().getPackageName();
			Log.e("packageName: ", packageName);
			versionName = context.getPackageManager().getPackageInfo(packageName, 0).versionName;
		} catch (NameNotFoundException e) {
			Toast.makeText(context, e.getMessage(), Toast.LENGTH_SHORT).show();
		}
		return versionName;
	}
	
	/**
	 * 获取应用信息
	 * @param context
	 * @return PackageInfo info
	 */
	public static PackageInfo getAppPackageInfo(Context context){
		PackageManager manager = null;
		PackageInfo info = null;
		manager = context.getPackageManager();
		try {
			info = manager.getPackageInfo(context.getPackageName(), 0);
		} catch (NameNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return info;
	}
	
}
