package com.lib_utils;

import android.content.Context;
import android.os.Handler;
import android.widget.Toast;

/**
 * 不重复弹出的提示框工具类
 * @author Alfred_Huang
 * 
 */
public class ToastUtils {
	private static Toast mToast;
	private static Handler mhandler = new Handler();
	private static Runnable r = new Runnable() {
		public void run() {
			mToast.cancel();
		};
	};

	public static void showToast(Context context, String text, int duration) {
		mhandler.removeCallbacks(r);
		if (null != mToast) {
			mToast.setText(text);
		} else {
			mToast = Toast.makeText(context, text, duration);
		}
		mhandler.postDelayed(r, 5000);
		mToast.show();
	}

	public static void showToast(Context context, int strId, int duration) {
		showToast(context, context.getString(strId), duration);
	}
	
	public static void showToast(Context context, String text) {
		showToast(context, text, Toast.LENGTH_SHORT);
	}
	
	public static void showToast(Context context, int strId) {
		showToast(context, strId, Toast.LENGTH_SHORT);
	}
	
}
