package com.lib_utils.encrypt;

import android.util.Base64;

import javax.crypto.Cipher;
import javax.crypto.spec.SecretKeySpec;

/**
 * AES
 */
public class EncryptUtils {

	static {
		System.loadLibrary("alf_h_sdkcore");
	}

	public static String aesEncrypt(String str) throws Exception {
		return aesEncrypt(str, getEncryptKey());
	}

	public static byte[] aesEncryptToByte(String str) throws Exception {
		return aesEncryptToByte(str, getEncryptKey());
	}

	// String加密为String
	private static String aesEncrypt(String str, String key) throws Exception {
		return Base64.encodeToString(encrypt(str, key), Base64.DEFAULT);
	}

	// String加密为byte[]
	public static byte[] aesEncryptToByte(String str, String key) throws Exception {
		return encrypt(str, key);
	}

	private static byte[] encrypt(String str, String key) throws Exception {
		if (str == null || key == null)
			return null;
		Cipher cipher = Cipher.getInstance(getEncryptMode());
		cipher.init(Cipher.ENCRYPT_MODE, new SecretKeySpec(key.getBytes("utf-8"), "AES"));
		return cipher.doFinal(str.getBytes("utf-8"));
	}

	public static String aesDecrypt(String str) throws Exception {
		return aesDecrypt(str, getEncryptKey());
	}

	public static String aesDecryptFromByte(byte[] bytes) throws Exception {
		return aesDecryptFromByte(bytes, getEncryptKey());
	}

	// String解密为String
	private static String aesDecrypt(String str, String key) throws Exception {
		return decrypt(Base64.decode(str, Base64.DEFAULT), key);
	}
	
	// byte[]解密为String
	public static String aesDecryptFromByte(byte[] bytes, String key) throws Exception {
		return decrypt(bytes, key);
	}
	
	private static String decrypt(byte[] bytes, String key) throws Exception {
		if (bytes == null || key == null)
			return null;
		Cipher cipher = Cipher.getInstance(getEncryptMode());
		cipher.init(Cipher.DECRYPT_MODE, new SecretKeySpec(key.getBytes("UTF-8"), "AES"));
		bytes = cipher.doFinal(bytes);
		return new String(bytes, "UTF-8");
	}

	private native static String getEncryptKey();
	private native static String getEncryptMode();
}